import AboutSection from '@/components/AboutSection';
import ContactSection from '@/components/ContactSection';
import Hero from '@/components/Hero';
import Testimonials from '@/components/Testimonials';
import TourPackages from '@/components/TourPackages';
import FrontLayout from '@/layouts/frontend-layout';
import { useEffect } from 'react';

const Index = () => {
    useEffect(() => {
        // Page entry animation
        document.body.classList.add('page-loaded');

        // Update favicon to use the logo
        const link = document.querySelector("link[rel~='icon']");
        if (link) {
            link.setAttribute('href', '/lovable-uploads/5d12006c-0dec-4dba-9dea-169d7da6f6e0.png');
        }

        return () => {
            document.body.classList.remove('page-loaded');
        };
    }, []);

    return (
        <FrontLayout>
            <div className="animate-fade-in min-h-screen">
                <Hero />
                <div id="tours" className="scroll-mt-24">
                    <TourPackages />
                </div>
                <AboutSection />
                <Testimonials />
                <ContactSection />
            </div>
        </FrontLayout>
    );
};

export default Index;
